FROM node:lts-alpine
WORKDIR /usr/src/app

#installation des dépendances
COPY ["package.json", "package-lock.json*", "npm-shrinkwrap.json*", "./"]
RUN npm install --production --silent && mv node_modules ../

#On copie le code source
COPY . .
#On change le propriétaire du dossier
RUN chown -R node /usr/src/app
#On change l'utilisateur
USER node

CMD ["node", "index.js"]
